Bug 466275 - error building RHEL appliance image on Fedora host
error building RHEL appliance image on Fedora host
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: appliance-tools (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 11:00 EDT by David Huff
Modified: 2009-12-18 01:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:32:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Huff 2008-10-09 11:00:07 EDT
Description of problem:

if You use a Fedora 9 or 10 host to build a RHEL image the image builds however when you lanunch the image it fails to boot, with a grub error.

looks like it cannot find grub stage 2


How reproducible:
yes

Steps to Reproduce:
1.build rhel image on fedora box
2.
3.
  
Actual results:
image does not boot

Expected results:
image boots

Additional info:
After further investigation I think the problem is do to the fact that the grub install does not happen inside the chroot.  therefore the grub that gits install on the image it the version on the build host not the image you are building.  version mix-match.
Comment 1 David Huff 2008-10-09 11:02:13 EDT
There is a work around....


If you specify a seprate /boot partion in the kickstart file the image will boot.


something like:
 
part /boot  --fstype="ext3" --ondisk=hda --size=10
part /  --fstype="ext3" --ondisk=hda --size=500
Comment 2 Bug Zapper 2008-11-25 22:42:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:32:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:32:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.